//
//  ABOOverviewWriter.h
//  Magi
//
//  Created by Jamie Hardt on 7/22/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class ABOSampleVector;

typedef enum {
    ABO2dOverview_RMS,
    ABO2dOverview_Peak
} ABOOverviewType;

@interface ABO2dOverviewWriter : NSObject {
    double _scaleFactor;
    ABOOverviewType _overviewType;
    
}

-(id)initWithOverviewType:(ABOOverviewType)type 
              scaleFactor:(double)factor;

-(void)appendSamples:(ABSampleVector *)samples 
           forOffset:(NSUInteger)offset;

-(ABOSampleVector *)overviewVector;

@end
