//
//  ABOCoreAudioHelpers.h
//  Magi
//
//  Created by Jamie Hardt on 4/14/12.
//  Copyright (c) 2012 Jamie Hardt. All rights reserved.
//

/*
 This file is part of Magi.
 
 Magi is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, version 2.0.
 
 Magi is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Magi.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <CoreAudio/CoreAudio.h>

#ifndef Magi_ABOCoreAudioHelpers_h
#define Magi_ABOCoreAudioHelpers_h


/*  This function is from https://github.com/sbooth/SFBAudioEngine/blob/master/AllocateABL.cpp 
 This code is incorporated constient with the terms of SFBAudioEngine's license as of
 August 2012.
 */

AudioBufferList *CreateBufferList(const AudioStreamBasicDescription *format, 
                                  UInt32 capacityFrames);

void DestroyBufferList(AudioBufferList *aList);

#endif
